ome-files 0.1.0

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Public Attributes | List of all members
ome::files::detail::MetadataMapValueTypeOStreamVisitor Struct Reference

Visitor template for output of MetadataMap values to an ostream. More...

`#include <ome/files/MetadataMap.h>`

Inheritance diagram for ome::files::detail::MetadataMapValueTypeOStreamVisitor:
[legend]
Collaboration diagram for ome::files::detail::MetadataMapValueTypeOStreamVisitor:
[legend]

## Public Member Functions
| MetadataMapValueTypeOStreamVisitor (std::ostream &os)
| Constructor. More...
template<typename T >
void | operator() (const std::vector< T > &c) const
| Output a vector value of arbitrary type. More...
template<typename T >
void | operator() (const T &v) const
| Output a scalar value of arbitrary type. More...

## Public Attributes
std::ostream & | os
| The stream to output to.

## Detailed Description

Visitor template for output of MetadataMap values to an ostream.

## Constructor & Destructor Documentation

ome::files::detail::MetadataMapValueTypeOStreamVisitor::MetadataMapValueTypeOStreamVisitor | ( | std::ostream & | os | ) |
| inline

Constructor.

Parameters

  os | the output stream to output to.

## Member Function Documentation

template<typename T >

void ome::files::detail::MetadataMapValueTypeOStreamVisitor::operator() | ( | const std::vector< T > & | c | ) | const
| inline

Output a vector value of arbitrary type.

Each value will be output in a comma-separated list.

Parameters

  c | the container values to output.

template<typename T >

void ome::files::detail::MetadataMapValueTypeOStreamVisitor::operator() | ( | const T & | v | ) | const
| inline

Output a scalar value of arbitrary type.

Parameters

  v | the value to output.

The documentation for this struct was generated from the following file:

- ome/files/MetadataMap.h